Package com.xebialabs.xlrelease.risk.domain

# Class RiskProfile

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.risk.domain.RiskProfile

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(description="A Risk Profile", root=CONFIGURATION, versioned=false) public class RiskProfile extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_RISK_PROFILE_ID`
  `static final String`
  `RISK_PROFILE`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RiskProfile()`
  `RiskProfile(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `generateRiskProfileId()`
  `static String`
  `generateRiskProfileId(String name)`
  `Map<String,String>`
  `getRiskProfileAssessors()`
  `String`
  `getTitle()`
  `int`
  `getValueFor(Type riskProfileAssessorType)`
  `int`
  `getValueFor(String riskProfileAssessorKey, int defaultValue)`
  `boolean`
  `hasRiskAssessorEnabled(Type type)`
  `boolean`
  `isDefaultProfile()`
  `void`
  `setDefaultProfile(boolean defaultProfile)`
  `void`
  `setRiskProfileAssessors(Map<String,String> riskProfileAssessors)`
  `void`
  `setTitle(String title)`
  `void`
  `setValueFor(Type riskProfileAssessorType, int value)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getCiUid, getFolderId, hasId, isSupportedOn, setCiUid, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### RISK_PROFILE

    public static final String RISK_PROFILE
    See Also:
      - Constant Field Values

  - ### DEFAULT_RISK_PROFILE_ID

    public static final String DEFAULT_RISK_PROFILE_ID

- ## Constructor Details

  - ### RiskProfile

    public RiskProfile()

  - ### RiskProfile

    public RiskProfile(String title)

- ## Method Details

  - ### getValueFor

    public int getValueFor(String riskProfileAssessorKey, int defaultValue)

  - ### getValueFor

    public int getValueFor(Type riskProfileAssessorType)

  - ### setValueFor

    public void setValueFor(Type riskProfileAssessorType, int value)

  - ### getTitle

    public String getTitle()
    Overrides:
      `getTitle` in class `BaseConfiguration`

  - ### setTitle

    public void setTitle(String title)
    Overrides:
      `setTitle` in class `BaseConfiguration`

  - ### hasRiskAssessorEnabled

    public boolean hasRiskAssessorEnabled(Type type)

  - ### isDefaultProfile

    public boolean isDefaultProfile()

  - ### getRiskProfileAssessors

    public Map<String,String> getRiskProfileAssessors()

  - ### setRiskProfileAssessors

    public void setRiskProfileAssessors(Map<String,String> riskProfileAssessors)

  - ### generateRiskProfileId

    public static String generateRiskProfileId(String name)

  - ### generateRiskProfileId

    public static String generateRiskProfileId()

  - ### setDefaultProfile

    public void setDefaultProfile(boolean defaultProfile)